> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Create report calculation query > Create multiple calculation queries, also known as a report. ## OpenAPI ````json POST /report-query { "openapi": "3.0.3", "info": { "title": "Analytics API", "description": "OpenAPI 3.0 Specification of Mapp Intelligence AnalyticsAPI \n\n In order to use these endpoints you must authorize by using a valid OAuth clientID configured in Mapp Intelligence Settings section.", "version": "1.0.0", "contact": { "name": "Technical Support Mapp Digital", "url": "https://mapp.com/tech-support/" } }, "servers": [ { "url": "https://api.mapp.com/api/analytics", "description": "Production" } ], "security": [ { "oauth_security_scheme": [ "mapp.intelligence-api" ] } ], "tags": [ { "name": "Analysis", "description": "Submit analysis and get data" }, { "name": "Available Objects", "description": "Get information about available objects you can use to build Analysis" } ], "paths": { "/report-query": { "post": { "tags": [ "Analysis" ], "summary": "Create report calculation query", "description": "Create multiple calculation queries, also known as a report.", "operationId": "createReportQuery", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ReportQueryRequest" }, "examples": { "ANALYSIS": { "$ref": "#/components/examples/reportQueryObject" } } } }, "required": "true" }, "responses": { "404": { "description": "Not Found", "content": { "*/*": { "schema": { "$ref": "#/components/schemas/Problem" } } } }, "500": { "description": "Internal Server Error", "content": { "*/*": { "schema": { "$ref": "#/components/schemas/Problem" } } } }, "422": { "description": "Unprocessable Entity", "content": { "*/*": { "schema": { "type": "object" } } } }, "400": { "description": "Bad Request", "content": { "*/*": { "schema": { "$ref": "#/components/schemas/Problem" } } } }, "200": { "description": "OK", "content": { "*/*": { "schema": { "$ref": "#/components/schemas/ReportQueryState" } } } } } } } }, "components": { "schemas": { "ReportQueryRequest": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Id" }, "elementIds": { "type": "array", "items": { "type": "integer", "format": "int64", "description": "Element Ids" } }, "configuration": { "$ref": "#/components/schemas/Report" }, "timeFilter": { "$ref": "#/components/schemas/Filter" } } }, "Problem": { "type": "object", "properties": { "status": { "type": "integer", "description": "HTTP Status Code" }, "statusCode": { "type": "string", "description": "Specific Mapp Error Code" }, "title": { "type": "string", "description": "Short description of the problem" }, "detail": { "type": "string", "description": "Detailed informations about the problem" }, "errors": { "type": "array", "items": { "$ref": "#/components/schemas/Error" } }, "warnings": { "type": "array", "items": { "$ref": "#/components/schemas/Warning" } } } }, "ReportQueryState": { "type": "object", "properties": { "reportCorrelationId": { "type": "string", "description": "Correlation Id of the report" }, "status": { "type": "string", "description": "Status of the report after complete analysis" }, "details": { "$ref": "#/components/schemas/ReportQueryStateDetails" }, "queryStates": { "type": "array", "description": "List of query state of all caculation queries", "items": { "$ref": "#/components/schemas/QueryState" } } } }, "Report": { "type": "object", "properties": { "id": { "type": "integer", "format": "int32", "description": "Report Id" }, "title": { "type": "string" }, "description": { "type": "string" }, "reportElements": { "type": "array", "description": "Array of columns", "items": { "$ref": "#/components/schemas/ReportElement" } }, "timeFilter": { "$ref": "#/components/schemas/Filter" }, "quickFilters": { "type": "array", "items": { "$ref": "#/components/schemas/Filter" } } } }, "Filter": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the Metric or Dimension being filtered." }, "filterPredicate": { "$ref": "#/components/schemas/FilterPredicateEnum" }, "connector": { "$ref": "#/components/schemas/ConnectorPredicateEnum" }, "caseSensitive": { "type": "boolean" }, "context": { "$ref": "#/components/schemas/ContextEnum" }, "intern": { "type": "boolean", "description": "Indicates if filter should be prioritized (Advanced).", "default": "false" }, "value1": { "type": "string" }, "value2": { "type": "string" }, "values1": { "type": "array", "description": "Array of values", "items": { "type": "string" } }, "values2": { "type": "array", "description": "Array of values", "items": { "type": "string" } } } }, "Error": { "type": "object", "properties": { "name": { "type": "string", "description": "Each error has specific properties described in following table:\n\n| Error| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| UnmappedName | At least one object name cannot be found. | List of objects not found in _names_ array. |\n| PivotIncompatibleMetric | Metric not usable in Pivot detected.| List of incompatible Metrics in _names_ array. |\n| PivotIncompatibleDimension |Dimension not usable in Pivot detected. | List of incompatible Dimensions in _names_ array. |\n| AnalysisLogicalCubeMismatch | All Dimensions and Metrics are not compatible. | List of incompatible objects in _names_ array. |\n| InvalidSortingCriteria | Sorting is applied on a non-sortable object.| List of invalid sorted objects in _names_ array. |\n| TimeFilterMissing | Each query must have a minimum of one Time Filter.| N/A |\n| InvalidSegmentNoneContainer | A segment container has context set to NONE but either its connector is not set to AND or its inOrNotIn property is not set to IN.| N/A |", "enum": [ "UnmappedName", "PivotIncompatibleMetric", "PivotIncompatibleDimension", "AnalysisLogicalCubeMismatch", "InvalidSortingCriteria", "TimeFilterMissing", "InvalidSegmentNoneContainer" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } } } } } }, "Warning": { "type": "object", "properties": { "name": { "type": "string", "description": "Each warnings has specific properties described in following table:\n\n| Warning| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| FilterLogicalCubeMismatch | At least one filter is ignored due to incompatibily with Dimensions and Metrics used. | List of incomptible filter objects in _names_ array. |\n| InvalidMetricContext | Metric used in an invalid context. | List of metric with invalid context in _aliases_ array. |\n| SortingEnforced | Sorting criteria has been added automatically | List of objects that were sorted automatically in _aliases_ array. |\n| NoSortingDefined | Sorting criteria is required for some dimensions. | List of dimensions requiring a sorting in _names_ array. |\n| SortingLimitExceeded | 3 sorting criteria are allowed. All additional sorting criteria have been omitted.| List of columns ignored for sorting in _aliases_ array. |\n| SortingRemoved | A requested sorting criteria has been removed | List of objects that were removed automatically in _aliases_ array. |\n| TodayRemoved | Today date has been removed from calculation time range because the selected datasource does not contain it. | daysInDataSource, todayDate|", "enum": [ "FilterLogicalCubeMismatch", "InvalidMetricContext", "SortingEnforced", "NoSortingDefined", "SortingLimitExceeded", "SortingRemoved", "TodayRemoved" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "daysInDataSource": { "type": "string", "description": "Number of days in the datasource which is beeing cut" }, "todayDate": { "type": "string", "description": "Date of the day being cut" } } } } }, "ReportQueryStateDetails": { "type": "object", "properties": { "lastUpdatedAt": { "type": "integer", "description": "Last updated time of report in milliseconds since the UNIX epoch" }, "reportId": { "type": "integer", "description": "Report Unique Id" }, "reportTitle": { "type": "string", "description": "Report Name" } } }, "QueryState": { "title": "QueryState", "type": "object", "properties": { "accountId": { "type": "string", "description": "Id of the account" }, "correlationId": { "type": "string", "description": "ID of the query" }, "calculationId": { "type": "string", "description": "Id of the calculated data" }, "resultUrl": { "type": "string", "description": "Link to get analysis data" }, "status": { "type": "string", "description": "Analysis query state", "enum": [ "SUCCESS", "FAILED", "ABORTED", "RUNNING", "INITIATED" ] }, "details": { "type": "object", "properties": { "lastUpdatedAt": { "type": "integer", "description": "Last update time in milliseconds since the UNIX epoch" }, "reportElementId": { "type": "integer", "description": "ID of the report element" } } } } }, "ReportElement": { "type": "object", "properties": { "id": { "type": "integer", "format": "int32", "description": "ID of the element" }, "reportId": { "type": "integer", "format": "int32", "description": "ID of the report" }, "type": { "type": "string", "description": "Type of the element for eg. Analysis, KPI, Sparkline" }, "configJson": { "type": "object", "description": "Different type of queries are possible", "oneOf": [ { "$ref": "#/components/schemas/TableQuery" }, { "$ref": "#/components/schemas/KpiQuery" } ] } } }, "FilterPredicateEnum": { "type": "string", "description": "Filter predicates", "enum": [ "EQUAL", "UNEQUAL", "LESS", "LESSEQUAL", "GREATER", "GREATEREQUAL", "BETWEEN", "LIKE", "NOT_LIKE" ] }, "ConnectorPredicateEnum": { "type": "string", "description": "Connectors", "enum": [ "AND", "OR" ] }, "ContextEnum": { "type": "string", "description": "Context to evaluate the metric/dimension. If context property is not given or empty the default context of the object will be used. The default context can be identified from the context property in the response list of /query-objects.", "enum": [ "VISITOR", "SESSION", "PAGE", "ACTION", "ATOMIC", "NONE" ] }, "TableQuery": { "type": "object", "description": "Tabular query definition", "properties": { "columns": { "type": "array", "description": "Array of columns", "items": { "type": "object", "properties": { "name": { "type": "string" }, "sortDirection": { "$ref": "#/components/schemas/SortDirectionEnum" }, "sortIndex": { "type": "integer", "description": "Indicates order of sorting when there is more than one sorting column. (starting from 0)." }, "lowerLimit": { "type": "integer" }, "upperLimit": { "type": "integer" }, "inTimeSeries": { "type": "boolean", "description": "Optional property indicating if a column will be used in time series view mode; defaults to false. Can be omitted if it's value is not set to true." }, "columnPeriod": { "$ref": "#/components/schemas/ColumnPeriodEnum" }, "scope": { "$ref": "#/components/schemas/ScopeEnum" }, "context": { "$ref": "#/components/schemas/ContextEnum" }, "predefinedContainer": { "$ref": "#/components/schemas/Container" } } } }, "variant": { "type": "string", "description": "Type of Data Structure", "enum": [ "LIST", "PIVOT", "PIVOT_AS_LIST", "COMPARISON" ] }, "predefinedContainer": { "$ref": "#/components/schemas/Container" }, "predefinedSegmentConnections": { "type": "array", "items": { "$ref": "#/components/schemas/Filter" } }, "viewMode": { "$ref": "#/components/schemas/ViewMode" } }, "required": [ "columns", "variant", "predefinedContainer" ] }, "KpiQuery": { "type": "object", "description": "KPI query definition", "properties": { "elementPeriod": { "type": "string", "description": "One of the following periods should be used:\n* ELEMENT: when the time filter is either inherited from the report or the time filter configured in the report element configuration.\n* MONAD: when the time filter is inherited from the custom metric configuration.", "enum": [ "ELEMENT", "MONAD" ] }, "type": { "type": "string", "description": "Type of the query", "enum": [ "KPI", "SPARKLINE" ] }, "metricName": { "type": "string", "description": "name of the metric of the KPI" }, "dimensionName": { "type": "string", "description": "name of the dimension of the KPI" }, "comparison": { "$ref": "#/components/schemas/Comparison" }, "predefinedContainer": { "$ref": "#/components/schemas/Container" }, "predefinedSegmentConnections": { "type": "array", "items": { "$ref": "#/components/schemas/Filter" } } } }, "SortDirectionEnum": { "type": "string", "description": "Possible sorting directions", "enum": [ "ASCENDING", "DESCENDING" ] }, "ColumnPeriodEnum": { "type": "string", "description": "Indicates which Time range must be used for the column. ANALYSIS: uses the analysis time range. COLUMN: uses the time filter defined inside the column. ELEMENT: uses the time filter defined inside the element configuration - i.e. custom metric/formula", "enum": [ "ANALYSIS", "COLUMN", "ELEMENT" ] }, "ScopeEnum": { "type": "string", "enum": [ "OBJECT", "NONE" ] }, "Container": { "type": "object", "properties": { "filters": { "type": "array", "description": "Array of filters", "items": { "$ref": "#/components/schemas/Filter" } }, "containers": { "type": "array", "description": "array of containers (recursion)", "items": { "$ref": "#/components/schemas/Container" } }, "connector": { "$ref": "#/components/schemas/ConnectorPredicateEnum" }, "context": { "$ref": "#/components/schemas/ContextEnum" }, "type": { "description": "Indicates how filters must be applied. TIME_ORDER is sequential, NORMAL not", "type": "string", "enum": [ "NORMAL", "TIME_ORDER" ] }, "inOrNotIn": { "$ref": "#/components/schemas/InOrNotInPredicateEnum" } } }, "ViewMode": { "type": "object", "properties": { "active": { "type": "string", "enum": [ "comparison", "timeSeries", "path", "crossTable" ] }, "comparison": { "type": "object", "properties": { "type": { "type": "string", "description": "type of comparison. It can be either on *time* or *segment*. The corresponding properties must be filled accordingly in *values* and *sorting*", "enum": [ "time", "segment" ] }, "values": { "type": "object", "properties": { "time": { "type": "array", "items": { "$ref": "#/components/schemas/Filter" } }, "segment": { "type": "array", "items": { "$ref": "#/components/schemas/SegmentContainer" } } } }, "sorting": { "type": "object", "properties": { "time": { "type": "array", "items": { "$ref": "#/components/schemas/ViewModeComparisonSortingItem" } }, "segment": { "type": "array", "items": { "$ref": "#/components/schemas/ViewModeComparisonSortingItem" } } } } } }, "timeSeries": { "type": "object", "properties": { "timeName": { "type": "string", "description": "The name of the time dimension used in the time series - i.e. \"time_days\" for days." }, "viewType": { "type": "string", "description": "The type of the time series view mode. Set \"top\" for time series of the top \"x\" number of objects. Set \"values\" based on specific object values populated in the values list of this configuration.", "enum": [ "top", "values" ] }, "top": { "type": "integer", "description": "The number of top objects the time series is build upon." }, "values": { "type": "array", "description": "A list of object values - i.e. [\"Seach\", \"Cart\", \"Home\"] for object \"pages\".", "items": { "type": "string" } } } }, "path": { "type": "object", "properties": { "metricName": { "type": "string", "description": "The name of the metric used in the path analysis - i.e. \"visits\"." }, "dimensionContext": { "type": "string", "description": "The context in which the dimension for the path analysis is evaluated.", "enum": [ "VISITOR", "SESSION", "PAGE", "ACTION", "ATOMIC", "NONE" ] }, "reverse": { "type": "boolean", "description": "Whether the path analysis should be performed in reverse order." }, "distinct": { "type": "boolean", "description": "Whether to count only unique paths in the analysis." }, "pathLength": { "type": "integer", "description": "The maximum number of steps to include in the path analysis." } } }, "crossTable": { "type": "object", "properties": { "metricName": { "type": "string", "description": "The name of the metric used for values in the cross table analysis - i.e. \"pages_pageImpressions\"." }, "crossDimensionName": { "type": "string", "description": "The name of the dimension used for the cross-analysis - i.e. \"browser_fullName\"." }, "mainDimensionSortDirection": { "type": "string", "description": "Sort direction for the main dimension.", "enum": [ "ASCENDING", "DESCENDING", "" ] }, "metricSortDirection": { "type": "string", "description": "Sort direction for the metric values.", "enum": [ "ASCENDING", "DESCENDING", "" ] }, "dimensionUpperLimit": { "type": "integer", "description": "The maximum number of dimension values to include in the analysis." }, "crossDimensionSortDirection": { "type": "string", "description": "Sort direction for the cross dimension.", "enum": [ "ASCENDING", "DESCENDING", "" ] } } } } }, "Comparison": { "type": "object", "description": "Comparison definition", "properties": { "type": { "type": "string", "description": "Type of comparison", "enum": [ "NONE", "PERIOD", "LIMIT", "SLIDING_WINDOW" ] }, "slidingWindowWeekdayAdjust": { "type": "boolean" }, "slidingWindowTimeShift": { "type": "string", "enum": [ "PRECEDING", "PREVIOUS_MONTH", "PREVIOUS_QUARTER", "PREVIOUS_YEAR" ] }, "filter": { "$ref": "#/components/schemas/Filter" } } }, "InOrNotInPredicateEnum": { "type": "string", "enum": [ "IN", "NOT_IN" ] }, "SegmentContainer": { "type": "object", "properties": { "segmentID": { "type": "string", "description": "ID of the Segment" }, "connectorPredicate": { "type": "string" }, "inOrNotInPredicate": { "type": "string" }, "context": { "$ref": "#/components/schemas/ContextEnum" }, "position": { "type": "integer", "description": "Indicates segment ordering in case of several Segment" } } }, "ViewModeComparisonSortingItem": { "type": "object", "description": "Sorting of comparison", "properties": { "alias": { "type": "string", "description": "alias of the column being sorted" }, "direction": { "$ref": "#/components/schemas/SortDirectionEnum" } } } }, "examples": { "reportQueryObject": { "value": { "configuration": { "id": "3687", "title": "! !! ANALYTICS-2295", "description": "", "timeFilter": { "arrangeType": "times_internal_day", "connector": "AND", "filterPredicate": "BETWEEN", "value1": "2022-10-15", "value2": "2023-12-28", "context": "NONE", "caseSensitive": "false", "intern": "false", "numberOfDays": "0" }, "reportElements": [ { "type": "TEXTBOX_DESCRIPTION", "id": "43942", "position": "0", "positionAsPoint": { "x": "0", "y": "0" }, "width": "3", "height": "1", "reportId": "3687", "configJson": {} }, { "type": "TEXTBOX_CONTENT_TABLE", "id": "43944", "position": "1", "positionAsPoint": { "x": "3", "y": "0" }, "width": "3", "height": "1", "reportId": "3687", "configJson": {} }, { "type": "ANALYSIS", "id": "43946", "position": "2", "positionAsPoint": { "x": "0", "y": "0" }, "width": "3", "height": "78", "reportId": "3687", "configJson": { "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "title": "ThisareallyreallylongtrafficanalysistitleaimingtobreakthesidemenuUI", "realTime": "false", "predefinedSegmentConnections": [], "columns": [ { "arrangeType": "time_id_categories_t_year_month_day", "dataType": "NUMBER", "sortDirection": "ASCENDING", "title": "Days", "scope": "OBJECT", "context": "NONE", "visible": "true", "dimension": "true", "metric": "false", "alias": "time_id_categories_t_year_month_day|0", "lowerLimit": "1", "upperLimit": "28", "sumValue": "false", "predefinedSegmentConnections": [] }, { "arrangeType": "visits", "dataType": "NUMBER", "title": "Visits", "scope": "OBJECT", "context": "SESSION", "variant": "NORMAL", "visible": "true", "dimension": "false", "metric": "true", "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "alias": "visits|0", "inTimeSeries": "false", "chart": { "visible": "true", "yAxis": "0" }, "sumValue": "false", "predefinedSegmentConnections": [], "columnPeriod": "ANALYSIS", "round": "-1", "roundConfig": { "override": "false", "round": "2" } }, { "arrangeType": "page_impressions", "dataType": "NUMBER", "title": "Page Impressions", "scope": "OBJECT", "context": "PAGE", "variant": "NORMAL", "visible": "true", "dimension": "false", "metric": "true", "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "alias": "page_impressions|0", "inTimeSeries": "false", "chart": { "visible": "false", "yAxis": "0" }, "sumValue": "false", "predefinedSegmentConnections": [], "columnPeriod": "ANALYSIS", "round": "-1", "roundConfig": { "override": "false", "round": "2" } }, { "arrangeType": "predefined_formula_new_visitor_rate", "dataType": "NUMBER", "title": "New Visit Rate %", "metricDisplayType": "DISTRIBUTION", "dataVisual": "BARS", "scope": "OBJECT", "variant": "NORMAL", "visible": "true", "dimension": "false", "metric": "true", "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "alias": "predefined_formula_new_visitor_rate|0", "inTimeSeries": "false", "chart": { "visible": "true", "yAxis": "1" }, "sumValue": "false", "predefinedSegmentConnections": [], "columnPeriod": "ANALYSIS", "round": "2", "roundConfig": { "override": "false", "round": "2" } }, { "arrangeType": "predefined_formula_avg_visit_duration", "dataType": "NUMBER", "title": "Visit Duration Avg", "metricDisplayType": "TIME", "dataVisual": "BARS", "scope": "OBJECT", "variant": "NORMAL", "visible": "true", "dimension": "false", "metric": "true", "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "alias": "predefined_formula_avg_visit_duration|0", "inTimeSeries": "false", "chart": { "visible": "false", "yAxis": "0" }, "sumValue": "false", "predefinedSegmentConnections": [], "columnPeriod": "ANALYSIS", "round": "2", "roundConfig": { "override": "false", "round": "2" } }, { "arrangeType": "predefined_formula_bounce_rate", "dataType": "NUMBER", "title": "Bounce Rate %", "metricDisplayType": "DISTRIBUTION", "dataVisual": "TRAFFIC_LIGHT", "dataVisualTarget": "MIN", "dataVisualTargetMax": "auto", "dataVisualTargetMin": "auto", "scope": "OBJECT", "variant": "NORMAL", "visible": "true", "dimension": "false", "metric": "true", "predefinedContainer": { "filters": [], "containers": [], "combined": "false" }, "alias": "predefined_formula_bounce_rate|0", "inTimeSeries": "false", "chart": { "visible": "true", "yAxis": "1" }, "sumValue": "false", "predefinedSegmentConnections": [], "columnPeriod": "ANALYSIS", "round": "2", "roundConfig": { "override": "false", "round": "2" } } ], "variant": "LIST", "standardChart": "LINE", "showTable": "true", "showPic": "true", "forbidChart": "false", "viewMode": { "standard": { "pivotState": [], "sankeyConfig": { "reverse": "false", "pathLength": "5", "chartState": [] } }, "timeSeries": { "timeArrangeType": "time_id_categories_t_year_week", "values": [], "top": "3", "viewType": "values" }, "comparison": { "type": "time", "sorting": { "time": [], "segment": [] }, "values": { "time": [], "segment": [] }, "collapsed": {}, "primaryChangeType": {} }, "path": { "reverse": "false", "metricArrangeType": "", "dimensionContext": "NONE", "pathLength": "5", "distinct": "true", "chartState": [] }, "crossTable": { "metricArrangeType": "", "metricSortDirection": "DESCENDING", "crossDimensionSortDirection": "", "mainDimensionSortDirection": "", "dimensionUpperLimit": "10", "crossDimensionArrangeType": "" } } } } ], "showInMenu": "true", "predefined": "false", "creatorSSOUserId": "7", "modifierSSOUserId": "7", "creationTime": "2020-11-11T07:06:55+00:00", "modificationTime": "2021-12-17T09:48:24+00:00", "showContent": "true", "gridColumns": "0", "publicReport": "false", "startDialogConfigurable": "true", "startDialogEnabled": "false", "quickFilters": [ { "arrangeType": "custom_paras_session_generic42", "connector": "AND", "filterPredicate": "LIKE", "value1": "", "value2": "", "context": "NONE", "caseSensitive": "false", "intern": "false", "numberOfDays": "0" } ], "dashboardQuickFiltersCollapsed": "false", "dashboardQuickFilterValues": { "custom_paras_session_generic42": { "configurable": "true", "values": [] } }, "categories": [], "autoRefresh": "false" } } } }, "securitySchemes": { "oauth_security_scheme": { "type": "oauth2", "flows": { "clientCredentials": { "tokenUrl": "https://auth.mapp.com/oauth2/token" } } } } } } ````